<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>Companion</title>
<link href="../../../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../../../styles/style.css" rel="Stylesheet"><link href="../../../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../../../styles/main.css" rel="Stylesheet"><link href="../../../../styles/prism.css" rel="Stylesheet"><link href="../../../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../../../scripts/main.js" async="async"></script><script type="text/javascript" src="../../../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../../../index.html">bluconnect</a></div>
      <div></div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main"><script type="text/javascript" src="../../../../scripts/main.js"></script>
        <div class="main-content" id="content" pageIds="bluconnect::com.aptener.bluconnect.di.module/RepositoryModule.Companion///PointingToDeclaration//-1410038383">
          <div class="breadcrumbs"><a href="../../../../index.html">bluconnect</a>/<a href="../../index.html">com.aptener.bluconnect.di.module</a>/<a href="../index.html">RepositoryModule</a>/<a href="index.html">Companion</a></div>
          <div class="cover ">
            <h1 class="cover"><span><span>Companion</span></span></h1>
            <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Module///PointingToDeclaration/"><span class="token annotation">Module</span></span></div></div><span class="token keyword">object </span><a href="index.html">Companion</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
          </div>
          <div class="tabbedcontent">
            <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="Functions">Functions</button></div>
            <div class="tabs-section-body">
              <h2 class="">Functions</h2>
              <div class="table" data-togglable="Functions"><a data-name="-1068098619%2FFunctions%2F-1410038383" anchor-label="buddyListDao" id="-1068098619%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="buddy-list-dao.html"><span>buddy</span><wbr></wbr><span>List</span><wbr></wbr><span><span>Dao</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1068098619%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Provides///PointingToDeclaration/"><span class="token annotation">Provides</span></span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="buddy-list-dao.html"><span class="token function">buddyListDao</span></a><span class="token punctuation">(</span>bluConnectDb<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.repo.local.room/-blu-connect-db/index.html">BluConnectDb</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../../com.aptener.bluconnect.repo.local.room.buddy/-buddy-list-dao/index.html">BuddyListDao</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1185008943%2FFunctions%2F-1410038383" anchor-label="buddyRiderDao" id="-1185008943%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="buddy-rider-dao.html"><span>buddy</span><wbr></wbr><span>Rider</span><wbr></wbr><span><span>Dao</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1185008943%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Provides///PointingToDeclaration/"><span class="token annotation">Provides</span></span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="buddy-rider-dao.html"><span class="token function">buddyRiderDao</span></a><span class="token punctuation">(</span>bluConnectDb<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.repo.local.room/-blu-connect-db/index.html">BluConnectDb</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../../com.aptener.bluconnect.repo.local.room.buddy/-buddy-rider-dao/index.html">BuddyRiderDao</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1424008390%2FFunctions%2F-1410038383" anchor-label="deviceSharedPref" id="-1424008390%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="device-shared-pref.html"><span>device</span><wbr></wbr><span>Shared</span><wbr></wbr><span><span>Pref</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1424008390%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Provides///PointingToDeclaration/"><span class="token annotation">Provides</span></span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="device-shared-pref.html"><span class="token function">deviceSharedPref</span></a><span class="token punctuation">(</span>context<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/content/Context.html">Context</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/content/SharedPreferences.html">SharedPreferences</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="689303478%2FFunctions%2F-1410038383" anchor-label="featureSharedPref" id="689303478%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="feature-shared-pref.html"><span>feature</span><wbr></wbr><span>Shared</span><wbr></wbr><span><span>Pref</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="689303478%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Provides///PointingToDeclaration/"><span class="token annotation">Provides</span></span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="feature-shared-pref.html"><span class="token function">featureSharedPref</span></a><span class="token punctuation">(</span>context<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/content/Context.html">Context</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/content/SharedPreferences.html">SharedPreferences</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-585076091%2FFunctions%2F-1410038383" anchor-label="logDao" id="-585076091%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="log-dao.html"><span>log</span><wbr></wbr><span><span>Dao</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-585076091%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Provides///PointingToDeclaration/"><span class="token annotation">Provides</span></span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="log-dao.html"><span class="token function">logDao</span></a><span class="token punctuation">(</span>bluConnectDb<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.repo.local.room/-blu-connect-db/index.html">BluConnectDb</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../../com.aptener.bluconnect.repo.local.room.logs/-log-dao/index.html">LogDao</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1322389683%2FFunctions%2F-1410038383" anchor-label="mainDb" id="1322389683%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="main-db.html"><span>main</span><wbr></wbr><span><span>Db</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1322389683%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Provides///PointingToDeclaration/"><span class="token annotation">Provides</span></span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="main-db.html"><span class="token function">mainDb</span></a><span class="token punctuation">(</span>context<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/content/Context.html">Context</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../../com.aptener.bluconnect.repo.local.room/-blu-connect-db/index.html">BluConnectDb</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1767569441%2FFunctions%2F-1410038383" anchor-label="otaSharedPrefSx20" id="-1767569441%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="ota-shared-pref-sx20.html"><span>ota</span><wbr></wbr><span>Shared</span><wbr></wbr><span>Pref</span><wbr></wbr><span><span>Sx20</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1767569441%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Provides///PointingToDeclaration/"><span class="token annotation">Provides</span></span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="ota-shared-pref-sx20.html"><span class="token function">otaSharedPrefSx20</span></a><span class="token punctuation">(</span>context<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/content/Context.html">Context</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/content/SharedPreferences.html">SharedPreferences</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1096299410%2FFunctions%2F-1410038383" anchor-label="speedDialDao" id="1096299410%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="speed-dial-dao.html"><span>speed</span><wbr></wbr><span>Dial</span><wbr></wbr><span><span>Dao</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1096299410%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Provides///PointingToDeclaration/"><span class="token annotation">Provides</span></span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="speed-dial-dao.html"><span class="token function">speedDialDao</span></a><span class="token punctuation">(</span>bluConnectDb<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.repo.local.room/-blu-connect-db/index.html">BluConnectDb</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../../com.aptener.bluconnect.repo.local.room.buddy/-speed-dial-dao/index.html">SpeedDialDao</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="585534469%2FFunctions%2F-1410038383" anchor-label="voiceNoteDao" id="585534469%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="voice-note-dao.html"><span>voice</span><wbr></wbr><span>Note</span><wbr></wbr><span><span>Dao</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="585534469%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Provides///PointingToDeclaration/"><span class="token annotation">Provides</span></span></div></div><span class="token keyword"></span><span class="token keyword">fun </span><a href="voice-note-dao.html"><span class="token function">voiceNoteDao</span></a><span class="token punctuation">(</span>bluConnectDb<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.repo.local.room/-blu-connect-db/index.html">BluConnectDb</a><span class="token punctuation">)</span><span class="token operator">: </span><a href="../../../com.aptener.bluconnect.repo.local.room.voicenote/-voice-note-dao/index.html">VoiceNoteDao</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

